{* 
* @Module Name: Leo Halloween Countdown
* @Website: leotheme.com.com - prestashop template provider
* @author Leotheme <leotheme@gmail.com>
* @copyright Leotheme
*}
{if $HCD_ACTIVE_MOBILE == 1}
  {if $isMobile == 'mobile'}
    <div id="halloweencountdown">
      {if $active_textbf}
        {if $active_textbf_link}
          <a href="{$urlbf}" class="url"><p id='textbf'>{$HCD_TEXTBEFORE}</p></a>
        {else}
          <p id='textbf'>{$HCD_TEXTBEFORE}</p>
        {/if}
      {/if}  
      <div id="countdown"></div>
      {if $active_textat}
        {if $active_textat_link}
          <a href="{$urlat}" class="url"><p id='textat'>{$HCD_TEXTAFTER}</p></a>
        {else}
          <p id='textat'>{$HCD_TEXTAFTER}</p>
        {/if}
      {/if}
    </div>
  {/if} 
{/if}
{if $HCD_ACTIVE_DESKTOP == 1}
  {if $isMobile == 'desktop'}
    <div id="halloweencountdown">
      {if $active_textbf}
        {if $active_textbf_link}
          <a href="{$urlbf}" class="url"><p id='textbf'>{$HCD_TEXTBEFORE}</p></a>
        {else}
          <p id='textbf'>{$HCD_TEXTBEFORE}</p>
        {/if}
      {/if}  
      <div id="countdown"></div>
      {if $active_textat}
        {if $active_textat_link}
          <a href="{$urlat}" class="url"><p id='textat'>{$HCD_TEXTAFTER}</p></a>
        {else}
          <p id='textat'>{$HCD_TEXTAFTER}</p>
        {/if}
      {/if}
    </div>
  {/if} 
{/if}


<script type="text/javascript">
// Set the date we're counting down to
var countDownDate = new Date("10 31, 2019").getTime();

// Update the count down every 1 second
var x = setInterval(function() {

  // Get today's date and time
  var now = new Date().getTime();
    
  // Find the distance between now and the count down date
  var distance = countDownDate - now;
    
  // Time calculations for days, hours, minutes and seconds
  var days = Math.floor(distance / (1000 * 60 * 60 * 24));
  var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
  var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
  var seconds = Math.floor((distance % (1000 * 60)) / 1000);
    
  // Output the result in an element with id="countdown"
  document.getElementById("countdown").innerHTML = '<span class="time">'+days+'</span>' + ' Day ' + '<span class="time">' + hours + '</span>' + " Hours "
  + '<span class="time">'+minutes+'</span>' + " Minutes " + '<span class="time">' + seconds + '</span>' + " Seconds " + "</br>";
    
  // If the count down is over, write some text 
  if (distance < 0) {
    clearInterval(x);
    document.getElementById("countdown").innerHTML = "Happy Halloween! ";
  }
}, 1000);
</script>